<?php

namespace Openguru\OpenCartFramework\ImageTool;

interface ImageToolInterface
{
    public function getUrl(string $path): string;
    public function getRealSize(string $path): array;

    public function resize(
        string $path,
        ?int $width = null,
        ?int $height = null,
        ?string $default = null,
        string $format = 'webp'
    ): ?string;

    public function cover(string $path, int $width, int $height, string $position = 'center'): ?string;
}
